/************************************************************
	Alfred Lu	07/15/2007	Email:Alfred.L@hotmail.com	

	IDE:	
	MCU:	ATMega128
	SD Interface:	SPI Mode, support FAT12 and FAT16, 
					less than 2G

************************************************************/
#ifndef _MAIN_H_
#define _MAIN_H_

// 
// Type Define
// bits	nibbles byte halfwords words doublewords 
//
#define UINT8	unsigned char
#define BYTE	unsigned char
#define UINT16	unsigned int
#define UINT32	unsigned long

//
// Buf Define
//
UINT8 BUF[512];					
UINT8 TESTBUF[512];
UINT8 DATABUF[512];

void CLK_Init();
void SPI_Init();
void delay_nus(UINT16);
void SPI_Set_Low();
void SPI_Set_High();
void InitBuf();

#endif
